"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DuckDBPreparedStatementWeakRefCollection = void 0;
class DuckDBPreparedStatementWeakRefCollection {
    preparedStatements = [];
    add(prepared) {
        this.prune();
        this.preparedStatements.push(new WeakRef(prepared));
    }
    destroySync() {
        for (const preparedRef of this.preparedStatements) {
            const prepared = preparedRef.deref();
            if (prepared) {
                prepared.destroySync();
            }
        }
        this.preparedStatements = [];
    }
    prune() {
        this.preparedStatements = this.preparedStatements.filter((ref) => !!ref.deref());
    }
}
exports.DuckDBPreparedStatementWeakRefCollection = DuckDBPreparedStatementWeakRefCollection;
